## ros-melodic-vector-map-msgs 1.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(vector_map_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
)

add_message_files(
  FILES
    Area.msg
    AreaArray.msg
    Box.msg
    BoxArray.msg
    CrossRoad.msg
    CrossRoadArray.msg
    CrossWalk.msg
    CrossWalkArray.msg
    Curb.msg
    CurbArray.msg
    CurveMirror.msg
    CurveMirrorArray.msg
    DTLane.msg
    DTLaneArray.msg
    DriveOnPortion.msg
    DriveOnPortionArray.msg
    Fence.msg
    FenceArray.msg
    GuardRail.msg
    GuardRailArray.msg
    Gutter.msg
    GutterArray.msg
    Lane.msg
    LaneArray.msg
    Line.msg
    LineArray.msg
    Node.msg
    NodeArray.msg
    Point.msg
    PointArray.msg
    Pole.msg
    PoleArray.msg
    RailCrossing.msg
    RailCrossingArray.msg
    RoadEdge.msg
    RoadEdgeArray.msg
    RoadMark.msg
    RoadMarkArray.msg
    RoadPole.msg
    RoadPoleArray.msg
    RoadSign.msg
    RoadSignArray.msg
    SideStrip.msg
    SideStripArray.msg
    SideWalk.msg
    SideWalkArray.msg
    Signal.msg
    SignalArray.msg
    StopLine.msg
    StopLineArray.msg
    StreetLight.msg
    StreetLightArray.msg
    UtilityPole.msg
    UtilityPoleArray.msg
    Vector.msg
    VectorArray.msg
    Wall.msg
    WallArray.msg
    WayArea.msg
    WayAreaArray.msg
    WhiteLine.msg
    WhiteLineArray.msg
    ZebraZone.msg
    ZebraZoneArray.msg
)

generate_messages(
  DEPENDENCIES
    std_msgs
)

catkin_package(
  CATKIN_DEPENDS
    message_runtime
    std_msgs
)

=== debian/changelog ===
ros-melodic-vector-map-msgs (1.14.0-1stretch) stretch; urgency=high



 -- syouji <syouji@axe.bz>  Thu, 03 Sep 2020 05:00:00 -0000

ros-melodic-vector-map-msgs (1.13.0-1stretch) stretch; urgency=high

  * Update package.xml files to Format 2.
  * Contributors: Joshua Whitley

 -- syouji <syouji@axe.bz>  Tue, 03 Dec 2019 06:00:00 -0000

ros-melodic-vector-map-msgs (1.12.0-1stretch) stretch; urgency=high



 -- syouji <syouji@axe.bz>  Fri, 12 Jul 2019 05:00:00 -0000

ros-melodic-vector-map-msgs (1.11.0-1stretch) stretch; urgency=high

  * Fix license notice in corresponding package.xml
  * Contributors: amc-nu

 -- syouji <syouji@axe.bz>  Thu, 21 Mar 2019 05:00:00 -0000

ros-melodic-vector-map-msgs (1.10.0-1stretch) stretch; urgency=high

  * Use colcon as the build tool (#1704 <https://github.com/CPFL/Autoware/issues/1704>)
    * Switch to colcon as the build tool instead of catkin
    * Added cmake-target
    * Added note about the second colcon call
    * Added warning about catkin* scripts being deprecated
    * Fix COLCON_OPTS
    * Added install targets
    * Update Docker image tags
    * Message packages fixes
    * Fix missing dependency
  * Contributors: Esteve Fernandez

 -- syouji <syouji@axe.bz>  Thu, 17 Jan 2019 06:00:00 -0000

ros-melodic-vector-map-msgs (1.9.1-1stretch) stretch; urgency=high



 -- syouji <syouji@axe.bz>  Tue, 06 Nov 2018 06:00:00 -0000

ros-melodic-vector-map-msgs (1.9.0-1stretch) stretch; urgency=high



 -- syouji <syouji@axe.bz>  Wed, 31 Oct 2018 05:00:00 -0000

ros-melodic-vector-map-msgs (1.8.0-1stretch) stretch; urgency=high

  * [Fix] Moved C++11 flag to autoware_build_flags (#1395 <https://github.com/CPFL/Autoware/pull/1395>)
  * [Feature] Makes sure that all binaries have their dependencies linked (#1385 <https://github.com/CPFL/Autoware/pull/1385>)
  * Contributors: Esteve Fernandez

 -- syouji <syouji@axe.bz>  Fri, 31 Aug 2018 05:00:00 -0000

ros-melodic-vector-map-msgs (1.7.0-1stretch) stretch; urgency=high

  * update Version from 1.6.3 to 1.7.0 in package.xml and CHANGELOG.rst
  * -Added support fot VMap colouring to Left Traffic signals (#988 <https://github.com/CPFL/Autoware/pull/988>)
    -Added Lane number on tlr_superimpose
  * Contributors: Abraham Monrroy, Kosuke Murakami

 -- syouji <syouji@axe.bz>  Fri, 18 May 2018 05:00:00 -0000

ros-melodic-vector-map-msgs (1.6.3-1stretch) stretch; urgency=high



 -- syouji <syouji@axe.bz>  Tue, 06 Mar 2018 06:00:00 -0000

ros-melodic-vector-map-msgs (1.6.2-1stretch) stretch; urgency=high

  * Update CHANGELOG
  * Contributors: Yusuke FUJII

 -- syouji <syouji@axe.bz>  Tue, 27 Feb 2018 06:00:00 -0000

ros-melodic-vector-map-msgs (1.6.1-1stretch) stretch; urgency=high

  * update CHANGELOG
  * Contributors: Yusuke FUJII

 -- syouji <syouji@axe.bz>  Sat, 20 Jan 2018 06:00:00 -0000

ros-melodic-vector-map-msgs (1.6.0-1stretch) stretch; urgency=high

  * Prepare release for 1.6.0
  * Add feature of to find stopline. and following minor fixes
    - to change vectormap operation to vectormap lib.
    - to change state operation
  * Contributors: Yamato ANDO, Yusuke FUJII

 -- syouji <syouji@axe.bz>  Mon, 11 Dec 2017 06:00:00 -0000

ros-melodic-vector-map-msgs (1.5.1-1stretch) stretch; urgency=high

  * Release/1.5.1 (#816 <https://github.com/cpfl/autoware/issues/816>)
    * fix a build error by gcc version
    * fix build error for older indigo version
    * update changelog for v1.5.1
    * 1.5.1
  * Contributors: Yusuke FUJII

 -- syouji <syouji@axe.bz>  Mon, 25 Sep 2017 05:00:00 -0000

ros-melodic-vector-map-msgs (1.5.0-1stretch) stretch; urgency=high

  * Update changelog
  * Contributors: Yusuke FUJII

 -- syouji <syouji@axe.bz>  Thu, 21 Sep 2017 05:00:00 -0000

ros-melodic-vector-map-msgs (1.4.0-1stretch) stretch; urgency=high

  * version number must equal current release number so we can start releasing in the future
  * added changelogs
  * Contributors: Dejan Pangercic

 -- syouji <syouji@axe.bz>  Fri, 04 Aug 2017 05:00:00 -0000

ros-melodic-vector-map-msgs (1.3.1-1stretch) stretch; urgency=high



 -- syouji <syouji@axe.bz>  Sun, 16 Jul 2017 05:00:00 -0000

ros-melodic-vector-map-msgs (1.3.0-1stretch) stretch; urgency=high



 -- syouji <syouji@axe.bz>  Fri, 14 Jul 2017 05:00:00 -0000

ros-melodic-vector-map-msgs (1.2.0-1stretch) stretch; urgency=high



 -- syouji <syouji@axe.bz>  Wed, 07 Jun 2017 05:00:00 -0000

ros-melodic-vector-map-msgs (1.1.2-1stretch) stretch; urgency=high



 -- syouji <syouji@axe.bz>  Tue, 28 Feb 2017 05:10:00 -0000

ros-melodic-vector-map-msgs (1.1.1-1stretch) stretch; urgency=high



 -- syouji <syouji@axe.bz>  Tue, 28 Feb 2017 04:25:00 -0000

ros-melodic-vector-map-msgs (1.1.0-1stretch) stretch; urgency=high



 -- syouji <syouji@axe.bz>  Fri, 24 Feb 2017 06:00:00 -0000

ros-melodic-vector-map-msgs (1.0.1-1stretch) stretch; urgency=high



 -- syouji <syouji@axe.bz>  Sat, 14 Jan 2017 06:00:00 -0000

ros-melodic-vector-map-msgs (1.0.0-1stretch) stretch; urgency=high

  * Add message_runtime dependency
  * Add vector_map library
  * Contributors: syouji

 -- syouji <syouji@axe.bz>  Thu, 22 Dec 2016 06:00:00 -0000

=== debian/control ===
Source: ros-melodic-vector-map-msgs
Section: misc
Priority: optional
Maintainer: syouji <syouji@axe.bz>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-vector-map-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: The vector_map_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-vector-map-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
